Package gov.nasa.gsfc.sscweb.schema

# Class Result

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Result

Direct Known Subclasses:
  `AbstractResult`

public class Result extends Object
A result from SSC. <p>Java class for Result complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="Result"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="StatusCode" type="{http://sscweb.gsfc.nasa.gov/schema}ResultStatusCode"/> <element name="StatusSubCode" type="{http://sscweb.gsfc.nasa.gov/schema}ResultStatusSubCode"/> <element name="StatusText" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ResultStatusCode`
  `statusCode`
  Result status code.
  `protected ResultStatusSubCode`
  `statusSubCode`
  Result status sub-code.
  `protected List<String>`
  `statusText`
  Result status text.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Result()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ResultStatusCode`
  `getStatusCode()`
  Result status code.
  `ResultStatusSubCode`
  `getStatusSubCode()`
  Result status sub-code.
  `List<String>`
  `getStatusText()`
  Result status text.
  `void`
  `setStatusCode(ResultStatusCode value)`
  Sets the value of the statusCode property.
  `void`
  `setStatusSubCode(ResultStatusSubCode value)`
  Sets the value of the statusSubCode property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### statusCode

    protected ResultStatusCode statusCode
    Result status code.

  - ### statusSubCode

    protected ResultStatusSubCode statusSubCode
    Result status sub-code.

  - ### statusText

    protected List<String> statusText
    Result status text.

- ## Constructor Details

  - ### Result

    public Result()

- ## Method Details

  - ### getStatusCode

    public ResultStatusCode getStatusCode()
    Result status code.
    Returns:
      possible object is `ResultStatusCode`

  - ### setStatusCode

    public void setStatusCode(ResultStatusCode value)
    Sets the value of the statusCode property.
    Parameters:
      `value` - allowed object is `ResultStatusCode`
    See Also:
      - `getStatusCode()`

  - ### getStatusSubCode

    public ResultStatusSubCode getStatusSubCode()
    Result status sub-code.
    Returns:
      possible object is `ResultStatusSubCode`

  - ### setStatusSubCode

    public void setStatusSubCode(ResultStatusSubCode value)
    Sets the value of the statusSubCode property.
    Parameters:
      `value` - allowed object is `ResultStatusSubCode`
    See Also:
      - `getStatusSubCode()`

  - ### getStatusText

    public List<String> getStatusText()
    Result status text. Gets the value of the statusText property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the statusText property.

    For example, to add a new item, do as follows:

         getStatusText().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the statusText property.